{
  hardware = {
    graphics = {
      enable = true;
    };
  };

  services.xserver = {
    videoDrivers = [
      "intel"
      "modesetting"
    ];
    deviceSection = ''
      Option "TearFree" "true"
    '';
  };
}
